## com.imcode.imcms.mapping.orm
Class FileReference

    java.lang.Object
      com.imcode.imcms.mapping.orm.FileReference

    public class FileReference

extends java.lang.Object

Constructor Summary
`FileReference()`

Method Summary
`java.lang.Boolean` `getCreatedAsImage()`
`java.lang.String` `getFileId()`
`java.lang.String` `getFilename()`
`java.lang.Long` `getId()`
`java.lang.Integer` `getMetaId()`
`java.lang.String` `getMimeType()`
`java.lang.Boolean` `isDefaultFileId()`
`void` `setCreatedAsImage(java.lang.Boolean createdAsImage)`
`void` `setDefaultFileId(java.lang.Boolean defaultFileId)`
`void` `setFileId(java.lang.String fileId)`
`void` `setFilename(java.lang.String filename)`
`void` `setId(java.lang.Long id)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setMimeType(java.lang.String mimeType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileReference

    public FileReference()

Method Detail

### getFilename

    public java.lang.String getFilename()

### setFilename

    public void setFilename(java.lang.String filename)

### getCreatedAsImage

    public java.lang.Boolean getCreatedAsImage()

### setCreatedAsImage

    public void setCreatedAsImage(java.lang.Boolean createdAsImage)

### isDefaultFileId

    public java.lang.Boolean isDefaultFileId()

### setDefaultFileId

    public void setDefaultFileId(java.lang.Boolean defaultFileId)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getFileId

    public java.lang.String getFileId()

### setFileId

    public void setFileId(java.lang.String fileId)